#==============================================================
# Makefile for the libGE "Cart Centering" example using 
# the GALib evolutionary library.
#==============================================================



## VARS
# --------------------------------------------------------------


#A simple option would be to write

-std=c++11
# Compiler options
# Compiler options 
CC 				= gcc
CXX				= g++
CFLAGS  	= -Wall -Wextra -Wpedantic -g
CXXFLAGS  = -Wall -Wextra -Wpedantic -g
# CXX_VECT added for vectorization, May 2019
CC_VECT		= -O3 
CXX_VECT	= -O3
# CC_OPENMP added for parallelization, June 2019
CC_OPENMP	= -fopenmp

#LibraryPath (absolut path)
GA_PATH = /Users/iguevara/Projects/libge/ga/ga
GE_PATH = /Users/iguevara/Projects/libge/libge

# Libraries dependencies
LDFLAGS = -L$(GA_PATH) -lga -L$(GE_PATH) -lGE

# Object files
TARGET = main.o
DEPEND =	prime-gcc.o gcc_GEprime.o


## RULES 
# --------------------------------------------------------------

# Make GEGCC
GEGCC:	$(TARGET) $(DEPEND)
	$(CXX) $(CXXFLAGS) $(CXX_VECT) -o $@ $(TARGET) $(DEPEND) $(LDFLAGS)

# Dependencies
prime-gcc.o: prime-gcc.cpp
	$(CXX) $(CXXFLAGS) $(CXX_VECT) -o $@ -c $<

gcc_GEprime.o: GEprime.c
	$(CC) $(CFLAGS) $(CC_VECT) -o $@ -c $<

# Make clean
.PHONY: clean
clean:
	rm -rf *~ *.o a.out individual.c cc-output.dat stats result GEGCC


